# Copyright (c) 2019 Dave Love, University of Manchester
# Licence: MIT

%global sum Micro benchmarks for MPI and PGAS

Name:		osu-micro-benchmarks
Version:	5.6.1
Release:	1%{?dist}
Summary:	%sum
License:	BSD
URL:		http://mvapich.cse.ohio-state.edu/benchmarks/
Source0:	http://mvapich.cse.ohio-state.edu/download/mvapich/osu-micro-benchmarks-%version.tar.gz
BuildRequires:	gcc-c++

%global desc \
A set of Micro benchmarks for MPI and PGAS as an alternative to\\\
intel-mpi-benchmarks.

%description
%desc

%package openmpi
Summary:	%sum - openmpi
BuildRequires:	openmpi-devel
Requires:	openmpi%{?_isa}

%description openmpi
%desc
This is the openmpi version.

%if 0%{?el7}
%package openmpi3
Summary:	%sum - openmpi3
BuildRequires:	openmpi3-devel
Requires:	openmpi3%{?_isa}

%description openmpi3
%desc
This is the openmpi3 version.
%endif

%package mpich
Summary:	%sum - mpich
BuildRequires:	mpich-devel
Requires:	mpich%{?_isa}

%description mpich
%desc
This is the mpich version.

%prep
%setup -q
mkdir openmpi openmpi3 mpich

%build
%global _configure ../configure
for m in openmpi %{?el7:openmpi3} mpich; do
  cd $m
  module add %{!?el6:mpi/}$m-%_arch
  # could use -enable-openacc post el7
  # CPPFLAGS necessary when buiddir != srcdir
  %configure --prefix=$MPI_HOME CC=mpicc CXX=mpicxx CPPFLAGS=-I../../../util
  %make_build
  case $m in
  openmpi3)
    %configure --prefix=$MPI_HOME CC=oshcc CXX=oshcxx CPPFLAGS=-I../../util
    %make_build
  esac
  module rm %{!?el6:mpi/}$m-%_arch
  cd -
done


%install
for m in openmpi %{?el7:openmpi3} mpich; do
  cd $m
  module add %{!?el6:mpi/}$m-%_arch
  %make_install
  mkdir -p %buildroot/$MPI_BIN
  mv $(find %buildroot%_libexecdir/osu-micro-benchmarks -name osu_\*) %buildroot/$MPI_BIN
  module rm %{!?el6:mpi/}$m-%_arch
  cd -
done


%files openmpi
%license COPYRIGHT
%doc CHANGES README
%_libdir/openmpi/bin/*

%if 0%{?el7}
%files openmpi3
%license COPYRIGHT
%doc CHANGES README
%_libdir/openmpi3/bin/*
%endif

%files mpich
%license COPYRIGHT
%doc CHANGES README
%_libdir/mpich/bin/*



%changelog
* Tue Apr  9 2019  <loveshack@fedoraproject.org> - 5.6.1-1
- Initial packaging
